Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::SceneManager::lightsForShadowTextureLess Struct Reference

Default sorting routine which sorts lights which cast shadows to the front of a list, sub-sorting by distance. More...

`#include <OgreSceneManager.h>`

List of all members.

## Public Member Functions
_OgreExport bool | operator() (const Light *l1, const Light *l2) const

## Detailed Description

Default sorting routine which sorts lights which cast shadows to the front of a list, sub-sorting by distance.

Remarks:
  Since shadow textures are generated from lights based on the frustum rather than individual objects, a shadow and camera-wise sort is required to pick the best lights near the start of the list. Up to the number of shadow textures will be generated from this.

Definition at line 617 of file OgreSceneManager.h.

## Member Function Documentation

_OgreExport bool Ogre::SceneManager::lightsForShadowTextureLess::operator() | ( | const Light * | l1,
|  | const Light * | l2
| ) | const

The documentation for this struct was generated from the following file:

- OgreSceneManager.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:53:00 2007